Summary:	Converts and manipulates GIFs
Summary(de.UTF-8):	Konvertiert und manipuliert GIFs
Summary(fr.UTF-8):	Converti et manipule des GIFs
Summary(pl.UTF-8):	Program do konwertowania i manipulacji plikami w formacie GIF
Summary(tr.UTF-8):	GIF dosyalarını başka biçimlere çevirir
Name:		giftrans
Version:	1.12.2
Release:	12
License:	BSD
Group:		Applications/Graphics
Source0:	ftp://ftp.rz.uni-karlsruhe.de/pub/net/www/tools/%{name}-%{version}.tar.gz
# Source0-md5:	58712d7c2dcbd8ea5f0dc18945dfcabd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program can convert and manipulate GIF images from the command
line. It is most useful for making a color transparent for web sites.

%description -l de.UTF-8
Dieses Programm kann GIF-Bilder aus der Befehlszeile konvertieren und
manipulieren. Besonders praktisch ist es, um eine Farbe für Web-Seiten
transparent zu machen.

%description -l fr.UTF-8
Ce programme convertit et manipule des images GIF à partir de la ligne
de commande. Il est surtout utilisé pour créer une couleur
transparente pour les sites web.

%description -l pl.UTF-8
Program do konwertowania i manipulacji plikami w formacie GIF.
Szczególnie użyteczny do robienia kolorowych witryn WWW.

%description -l tr.UTF-8
Bu program, GIF biçimindeki resim dosyalarını başka biçimlere çevirir.
En yaygın kullanım alanlarından biri, web siteleri için resimleri
saydam hale getirmektir.

%prep
%setup -q

%build
%{__cc} -Dvoidd=void %{rpmcflags} -o giftrans giftrans.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install giftrans $RPM_BUILD_ROOT%{_bindir}
install giftrans.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/giftrans.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f1b70c4
- x32 rebuild
- release 12 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3ee3f9e
- dropped pre-cvs changelog

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 94d51ae
- rel 11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f51f2b8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 340b3e7
- converted to UTF-8

* Sat Nov 29 2003 undefine <undefine@pld-linux.org> c5b7e1d
- release 10 to rebuild with ac

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> 48bfba0
- cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 80ccc77
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6fd35da
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 96056d5
- fixed a small typo

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 4f9e20f
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 8e78e72
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 988b697
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Fri May 18 2001 kloczek <kloczek@pld-linux.org> 11e1bbf
- release 9.

* Mon Apr 30 2001 kloczek <kloczek@pld-linux.org> a3ff531
- added using %%{rpmcflags} macro.

* Thu Jan 25 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> 821e545
- Massive attack. We use -O0 instead -O flags while debug enabled.

* Sat Dec 23 2000 michuz <michuz@pld-linux.org> 6070b77
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

* Sat Nov 25 2000 kloczek <kloczek@pld-linux.org> 36b66fd
- release 8: added using new rpm automation.

* Thu May 18 2000 kloczek <kloczek@pld-linux.org> 23abdd7
- spec adapterized.

* Sat Apr 01 2000 Sebastian Zagrodzki <sebek@zagrodzki.net> e0b29a3
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

